Ticket #39745

OSC 52 によるクリップボード操作制御シーケンスでのエンコーディング変換

Open Date: 2019-11-11 12:21 Last Update: 2020-11-16 17:57

Reporter:
Owner:
Type:
Status:
Open [Owner assigned]
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Accepted
File:
None
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

現状の問題点

OCS 52 によるクリップボードアクセスで、漢字等が含まれる時にエンコーディング変換を行っていない為文字化けする。

対処案

送受信漢字コード設定に従って漢字コード変換を行う。

検討事項

非互換な変更となるので問題無いか。 例えば現在の Tera Term の動作を前提としたスクリプトが期待通りに動かなくなるが問題無いか。

Ticket History (3/6 Histories)

2019-11-11 12:21 Updated by: doda
  • New Ticket "OSC 52 によるクリップボード操作制御シーケンスでのエンコーディング変換" created
2019-11-26 20:44 Updated by: doda
  • Owner Update from (None) to doda
  • Milestone Update from (None) to Tera Term 4.105 (closed)
  • Resolution Update from None to Fixed
Comment

~r8385 で修正~

(Edited, 2020-11-16 17:55 Updated by: doda)
2019-12-08 09:01 Updated by: None
2019-12-09 09:53 Updated by: doda
Comment

~4.105 では修正済み。~

5.0 では内部エンコーディングが変更になる為、別途対応が必要。

(Edited, 2020-11-16 17:55 Updated by: doda)
2020-11-16 17:56 Updated by: doda
  • Resolution Update from Fixed to Accepted
2020-11-16 17:57 Updated by: doda
Comment

4.105で修正済みというのは間違い。

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login